<nav class="menu">
    <ul class="menu__list">
      <li class="menu__item">
        <a
          routerLink="/articles"
          class="menu__link"
          routerLinkActive="is-active"
          [routerLinkActiveOptions]="{ exact: true }"
          (click)="article.fetchArticles()"
          >Accueil</a
        >
      </li>
      <li class="menu__item">
        <a
          routerLink="/articles/signup"
          class="menu__link"
          routerLinkActive="is-active"
          [routerLinkActiveOptions]="{ exact: true }"
          >Signup</a
        >
      </li>
      <li *ngIf="!this.authService.isLogged" class="menu__item">
        <a
          routerLink="/articles/login"
          class="menu__link"
          routerLinkActive="is-active"
          [routerLinkActiveOptions]="{ exact: true }"
          >Login</a
        >
      </li>
      <li *ngIf="this.authService.isLogged" class="menu__item">
        <button (click)="logout()">Logout</button>
      </li>
    </ul>
  </nav>
  